.lm.rm
.ifnot hlp
.HL 1 MODE SETTING 
.INDEX Mode setting 
.endif hlp
.helpc AUTOBREAK
.q _.AUTOBREAK ["characters-to-test"]
.qq _.AB ["characters-to-test"]
.qn _.NO AUTOBREAK ["characters-to-disable"]
.qn _.NAB
.x NO>AUTOBREAK
.p .x AUTOBREAK
enables or disables automatic optional breaks after selected characters.
The selected characters are specified in a literal string.
.ifnot small
.x Hyphenation
For example, to produce breaks after hyphens, issue the command
_.AB '-'. Then, if the word self-deceit overflows the end of a line, the
word will break after the hyphen. This command is also useful in
tabulation; see the _.TAB RIGHT command for further information.
If you turn off autobreak for spaces, they no longer act as separators
between words. 
A character preceded by an accept flag "__" will not autobreak.
.i5;(Not available in DSR)
.endif small
.i5;DEFAULT: _.NO AUTOBREAK
.helpc AUTOHYPHENATE
.q _.AUTOHYPHENATE [size],[begin],[end],[mode][,"chars"]
.qq _.AH  [size],[begin],[end],[mode][,"chars"]
.qn _.NO AUTOHYPHENATE [,"chars"]
.qn _.NAH [,"chars"]
.x NO>AUTOHYPHENATE 
.p .x AUTOHYPHENATE
.x Hyphenation
controls automatic hyphenation.  
.ifnot small
When automatic hyphenation is turned on, words will be hyphenated
automatically wherever necessary.  If hyphenation is turned off
with _.DISABLE HYPHENATION, all hyphenation, including autohyphenation, is
disabled until an _.ENABLE HYPHENATION is issued. Autohyphenation follows
the normal rules of style. A hyphenated word will always have at least 2
letters on the end of first line, and at least 3 on the beginning of the
next.  These rules can be changed by the command parameters. If a command
parameter is omitted, it maintains its previous value. When automatic
hyphenation is turned off, user selectable hyphenation can still be used.
Autohyphenation can be turned off temporarily for 1 word by preceding the
word with the hyphenate flag. 
.p
_.NO AUTOHYPHENATE turns off all autohyphenation, and specifies characters
that are not allowed inside hyphenated words. For example, specifying "."
will prevent hyphenation of words at the end of sentences. To allow
autohyphenation, but disable hyphenation when these characters are present,
the _.NO AUTOHYPHENATE command must be followed by the _.AUTOHYPHENATE
command. 
For additional help see _.ENABLE HYPHENATION.
.if hlp
.if rsx .i5;ADDITIONAL HELP AVAILABLE: parameters
.endif rsx
.endif hlp
.HELPD PARAMETERS
.endif small
.list 0
.le;size##= The minimum number of characters/word.
.le;begin#= The minimum number of characters at the beginning of a line.
.le;end###= The minimum number of characters at end of a line.
.le;mode##= The hyphenation mode.  0 produces maximum hyphenation with
possibly some inaccuracy. 1 hyphenates according to the suffix/prefix tables
only, for maximum accuracy. 
.le;"chars"= Special characters allowed in hyphenated words.
.els 0
.i5;DEFAULT: _.AH 5,2,3,0,'_\/.,()"@'
.ifnot small
.i5;For more information see _.ENABLE HYPHENATION.
.i5;(Not available in DSR)
.endif small
.helpc AUTOPARAGRAPH
.q _.AUTOPARAGRAPH 
.qq _.AP 
.qn _.NO AUTOPARAGRAPH 
.qn _.NAP 
.x NO>AUTOPARAGRAPH 
.p .x AUTOPARAGRAPH 
controls whether any blank line or a line starting with a space or tab is
to be considered the start of a new paragraph. 
.ifnot small
_.AUTOPARAGRAPH allows normally typed text to be justified without special
commands. It does not cause a paragraph if blank lines are followed by a
command.  Autoparagraphing works only if FILL is enabled. When
autoparagraphing and fill are enabled, all tabs at the start of a line are
removed.
.i5;SEE - _.PARAGRAPH, _.SET PARAGRAPH
.endif small
.i5;DEFAULT: _.NO AUTOPARAGRAPH
.helpc AUTOTABLE
.q _.AUTOTABLE 
.qq _.AT
.qn _.NO AUTOTABLE 
.qn _.NAT 
.x NO>AUTOTABLE 
.p .x AUTOTABLE 
controls whether or not lines starting with a space or tab are
considered to be the start of a new paragraph. 
.ifnot small
This command allows normally typed text to be justified without 
special commands.  AUTOTABLE works only if FILL is enabled.
When AUTOTABLE and FILL are enabled, all tabs at the start of a line are
removed.
See _.AUTOPARAGRAPH.
.endif small
.i5;DEFAULT: _.NO AUTOTABLE
.helpc AUTOTITLE
.q _.AUTOTITLE
.qq _.ATI
.qn _.NO AUTOTITLE
.qn _.NATI
.x NO>AUTOTITLE
.p .x AUTOTITLE
controls the generation of automatic titles.  When AUTOTITLE is enabled,
then each time a _.CHAPTER or _.APPENDIX command is given, the chapter
or appendix title will be used as the title at the top of the page.  
.i5;DEFAULT:  _.AUTOTITLE
.i5;(Not available in DSR)
.helpc AUTOSUBTITLE
.q _.AUTOSUBTITLE [+-n]
.qq _.AST [+-n]
.qn _.NO AUTOSUBTITLE
.qn _.NAST
.x NO>AUTOSUBTITLE
.p .x AUTOSUBTITLE
controls the automatic changing of subtitles.  When AUTOSUBTITLE is
enabled, each header level command lower than n sets the subtitle
to the current header level title.
.i5;DEFAULT:  _.NO AUTOSUBTITLE
.i5;The default for n is 1
.helpc BEGIN__BAR
.q _.BEGIN BAR 
.qq _.BB 
.qn  _.END BAR 
.qn  _.EB
.x END> BAR 
.p .x BEGIN BAR 
.x Change bar
controls whether the change bar is printed in the document. 
.ifnot small
After a _.BEGIN BAR, change bars are printed until an _.END BAR.
See _.ENABLE BAR. 
.endif small
.ifnot small
.test page 8
.endif small
.helpc FILL
.q _.FILL 
.qq _.F 
.qn _.NO FILL 
.qn _.NF
.x NO>FILL 
.p .x FILL 
controls whether or not subsequent output lines are filled.  The _.FILL
command causes a break in the text, and sets the justification mode to be
that specified by the last appearance of _.JUSTIFY or _.NO JUSTIFY.
When FILL is enabled, successive words from the source text are added
to the output line until the adding of one more word would exceed the right
margin. 
.ifnot small
If hyphenation is enabled, RUNOFF will attempt to break words
that would cause line overflow into syllables.
The end of an input line is treated as a space unless the _.NO SPACE command
has been issued.  Initially FILL is enabled, so it does not need to issued
except after a _.NO FILL. _.NO FILL is useful if you want to
type a table or text and you want the output to look exactly like the input.
(This could also be done with the _.LITERAL command.)
.endif small
.i5;DEFAULT: _.FILL
.ifnot small
.if hlp
.if rsx ;Further help: rules
.endif rsx
.endif hlp
.HELPD RULES
.s.c;RULES
.list 0
.le; When .FILL is enabled, multiple or redundent spaces are removed.  This
includes the following:
.list 0
.le; Spaces following spaces.
.le; Spaces following non expandable spaces "_#".
.le; Spaces following "tabs".
.le; Spaces at the beginning of a line.
.end list 0
.le; When FILL is enabled, the end of a line is treated exactly like a space.
.le; If both FILL and PERIOD are enabled, any punctuation followed by a
space is converted to "punctuation", "space", "non expandable space".
.le; If FILL is disabled, the end of a line is treated as a break ("_|").
.le; Regardless of whether FILL is enabled or disabled, if the input line
is longer than the available page size and it contains no "normal" spaces,
it will be truncated to fit the available space.  The only exception to this
is when the line contains a "break" character ("_|"); then the line
is divided at the break character to make it fit.
.end list 1
.endif small
.helpc JUSTIFY
.q _.JUSTIFY 
.qq _.J
.qn _.NO JUSTIFY 
.qn _.NJ 
.x NO>JUSTIFY 
.p .x JUSTIFY 
controls whether or not a line is filled out with
additional spaces so that the last word ends exactly on the right margin.
.ifnot small
With justification turned off, output lines will have a ragged right margin. 
.i5;DEFAULT:  _.JUSTIFY
.if hlp
.if rsx .i5;ADDITIONAL HELP AVAILABLE: rules
.endif rsx
.endif hlp
.HELPD RULES
.test page 5
.s.c;RULES
.s.list 0
.le; If justification is enabled, all "normal" spaces are expanded or padded
to right justify the final output.
.le; If a break occurs between lines, then the previous line is ^&NOT\&
justified.
.le; If an input line is shorter than the output line size and it
contains no "normal" spaces, the line cannot be justified.  This is
indicated by an error message:
.c;"Can't justify  line"
.le;If _.VARIABLE SPACING is enabled, justification will be done by adding
micro spaces, rather than full spaces.  If the character width is not 1,
then justification may not occur unless variable spacing is enabled.
.le; If justification is disabled, the output will not be padded with extra 
spaces, but if filling is enabled, redundant spaces will be removed.
.le;_.FILL normally turns justification off unless preceded by _.NO JUSTIFY.
.le;_.NO FILL always turns off justification. In order to justify 
but not fill (not recommended), a _.JUSTIFY command must 
follow every _.NO FILL  command. 
.end list
.endif small
.helpc KEEP
.ifnot small
.if hlp
.if rsx  .i5;Further help: LINES TABS
.endif rsx
.endif hlp
.helpd LINES
.endif small
.q _.KEEP [LINES]
.qq _.K [LINES]
.qn _.NO KEEP [LINES]
.qn _.NK [LINES]
.x NO>KEEP>LINES
.p .x KEEP>LINES
controls whether or not blank lines are kept in _.NO FILL mode.  
.ifnot small
Normally blank lines in the input are ignored.
.endif small
.i5;DEFAULT:  _.NO KEEP LINES
.ifnot small
.i5;(DSR uses _.KEEP/_.NO KEEP)
.helpd TABS
.endif small
.q _.KEEP TABS
.qq _.K TABS
.qn _.NO KEEP TABS
.qn _.NK TABS
.x NO>KEEP>TABS
.p .x KEEP>TABS
controls whether or not tabs at the beginning of a line are kept in
_.FILL mode.  
.ifnot small
Autoparagraph mode also causes all tabs at the beginning of an input line to
be discarded, so _.KEEP TABS may not work with _.AUTOPARAGRAPH. 
.i5;(Not available in DSR)
.endif small
.i5;DEFAULT:  _.KEEP TABS
.helpc LITERAL
.q _.LITERAL 
.qq _.LT 
.qn  _.END LITERAL 
.qn  _.ELI 
.x END> LITERAL 
.p .x LITERAL 
allows text to appear literally as typed.  _.LITERAL turns off fill and all
flags to permit printing of text exactly as it appears in the source file.
In addition, all commands are disabled until an _.END LITERAL.  
.ifnot small
When LITERAL is enabled, commands appear in the output as if they were
normal text. Tabs are still recognized inside a literal. Blank lines are
output instead of being ignored.  This command is almost equivalent to the
following sequence of commands:
.i5;_.NO FILL _.KEEP _.NO FLAGS ALL _.NO FLAGS CONTROL
.p
The _.LITERAL command can be turned off by
the _.END LITERAL command. Tabs are still expanded inside a literal, and if a
special feature has been turned on it will remain on for the duration of the
literal. 
For example, if the literal is preceded by "_^_&" the entire literal text
will be underlined.  If you want to use flags inside a literal, use the
commands _.NO FILL _.KEEP to simulate the effect of a literal.  You can turn
off individual flags with a _.DISABLE FLAGS command.
.ifnot hlp
.q _.LOWER CASE 
.qq _.LC 
.p .x LOWER CASE 
sets the case mode to lowercase. This command has the same effect as typing
two backslashes (_\_\). _.LOWER CASE is not normally used unless your terminal
lacks lower case. 
.q _.UPPER CASE 
.qq _.UC 
.p .x UPPER CASE 
sets the case mode to uppercase.  This command has the same effect as typing
two circumflexes (_^_^). (Uppercase is the default case mode).
There is no need to use _.LOWER CASE unless the mode was previously altered
to lower case. 
.endif hlp
.endif small
.helpc PERIOD
.q _.PERIOD ["chars"]
.qq _.PR ["chars"]
.qn _.NO PERIOD ["chars"]
.qn _.NPR ["chars"]
.x NO>PERIOD 
.p .x PERIOD 
.x Punctuation>Terminal
controls whether or not additional spaces are printed after every terminal
punctuation that is followed by at least one space or tab character.
_.PERIOD causes two spaces to be printed after terminal punctuation.
.ifnot small
_.NO PERIOD disables conversion of punctuation/space to punctuation/two spaces
and specifies characters that will not cause 2 spaces when _.PERIOD is
engaged. If you do not want 2 spaces to be inserted after a
punctuation mark, you can quote the character or use a non expandable
space 
.x Space>Non expandable
after it. For example, if you want to use an abbreviation such as "Char_.",
you can avoid the extra spaces by writing it "Char___." or "Char_._#".
.p;"chars" is a list of characters to be added to the terminal
punctuation list; the terminal punctuation list will be changed only if
"chars" are specified. (This parameter is not available in DSR.)
.p;Alternatively, the PERIOD flag can be used to add extra spaces without
enabling _.PERIOD.
.endif small
.i5;DEFAULT:  _.PERIOD ".:;?!"
.helpc SEPARATED__EQUATION
.q _.SEPARATED EQUATION
.qq _.SEQ
.x SEPARATED EQUATION
.qn  _.END SEPARATED EQUATION
.qn  _.ESEQ
.x END> SEPARATED EQUATION
.p .X EQUATION>SEPARATED
enables or disables separated equation mode.  If separated equation mode is
enabled, an equation will automatically generate extra lines to separate it
properly from other equations or text. 
.ifnot small
Separated equation mode does not generate a break. It also cannot be used
in a FOOTNOTE. This restriction may be changed in a future release. If
you format an equation with the SEPARATED EQUATION mode off and the equation
occupies more than the alloted spacing, it may print over other text. 
.i5;SEE - _.ENABLE EQUATION, _.FLAGS EQUATION
.i5;DEFAULT:  _.END SEPARATED EQUATION
.i5;(Not available in DSR)
.endif small
.helpc UNDERLINE
.q _.UNDERLINE "chars to underline"
.qq _.UN "chars to underline"
.qn _.NO UNDERLINE "chars to not underline"
.qn _.NUN "chars to not underline"
.x NO>UNDERLINE
.p .x UNDERLINE
specifies which characters are underlinable.  
.ifnot small
Normally all characters other than spaces are underlinable. To enable
underlining of spaces, for example, you would use the following command: 
.i5;_.UNDERLINE " "
.p
If you did not wish to underline common punctuation marks, you would
use the command:
.i5;_.NO UNDERLINE ".,?!;:"
.br;If you don't want to underline either the apostrophe or quotes:
.i5;_.NO UNDERLINE "'"""
;SEE _.ENABLE UNDERLINING and _.FLAGS UNDERLINE for more information.
.i5;(Not available in DSR)
.endif small
.i5;DEFAULT: .NO UNDERLINE " "
.ifnot small
.ifnot hlp
.q _.UNDERLINE SPACES 
.qq _.UNDERLINE NO SPACES 
.x UNDERLINE>NO SPACES 
.p .x UNDERLINE>SPACES 
controls whether or not spaces are underlined.
.br;_.UNDERLINE SPACES is the same as _.UNDERLINE " ".
.i5;(Not available in DSR)
.endif hlp
.endif small
.helpc VARIABLE__SPACING
.q _.VARIABLE SPACING
.qq _.VARSP
.qn _.NO VARIABLE SPACING
.qn _.NVARSP
.x NO>VARIABLE SPACING
.p .x VARIABLE SPACING
controls the variable spacing mode.  If variable spacing mode is enabled,
microspaces are used to pad out room between words in order to create a
justified line.  To use this feature with your printer, it must either be
a DIABLO compatible or you must define an appropriate escape sequence for
variable spacing with the _.DEFINE VARIABLE SPACE command.
.ifnot small
If variable size characters are used and they are to be justified, then
variable spacing must be enabled.
Variable spacing should not be confused with proportional spacing.  With
variable spacing each letter is still assumed to occupy the same amount of
physical space as opposed to a proportionally spaced font.
.note
When using _.VARIABLE SPACING and _.UNDERLINE"#", the option
.if RT
/U:L
.else RT
/UL:L 
.ENDIF RT
will not work correctly.
Gaps will be left in the underlining at each variable spacing point.
In this case
.if RT
/U:B
.else RT
/UL:B 
.ENDIF RT
is recommended.
.en
.i5;(Not available in DSR)
.endif small
.i5;DEFAULT: _.NO VARIABLE SPACING
.lm
